# Run web journey

POST /v3/web-journeys/{webJourneyId}/runsCreates a new run for the specified web journey.
The journey must exist, have actions configured, and not already be running.

Endpoint: POST /v3/web-journeys/{webJourneyId}/runs
Security: API_Key

## Security:

  - `API_Key` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `webJourneyId` (integer, required)
    Unique identification number for web journey item

## Response 200:

  - `200` (unknown)
    Run created successfully

## Response 200 fields (application/json):

  - `newRunId` (integer, required)
    The ID of the newly created run

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `message` (string, required)

  - `code` (integer, required)
    Error codes:
- 10: ValidationError
- 11: MalformedRequest
- 33: AlreadyRunning
- 34: UsageLimitExceeded

## Response 401:

  - `401` (unknown)
    Authentication failed

## Response 401 fields (application/json):

  - `message` (string)

## Response 403:

  - `403` (unknown)
    Usage limit exceeded

## Response 403 fields (application/json):

  - `message` (string, required)

  - `code` (integer, required)
    Error codes:
- 10: ValidationError
- 11: MalformedRequest
- 33: AlreadyRunning
- 34: UsageLimitExceeded

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `message` (string, required)

  - `code` (integer, required)
    Error codes:
- 10: ValidationError
- 11: MalformedRequest
- 33: AlreadyRunning
- 34: UsageLimitExceeded

## Response 409:

  - `409` (unknown)
    Journey is already running

## Response 409 fields (application/json):

  - `currentRunId` (integer, required)
    The ID of the currently running run

  - `code` (integer, required)
    Error codes:
- 10: ValidationError
- 11: MalformedRequest
- 33: AlreadyRunning
- 34: UsageLimitExceeded

